
/*
    Lightfield reconstruction.
 */


// film/image.cpp*
#include "stdafx.h"
#include "lightfield_reconstruction.h"
#include "spectrum.h"
#include "parallel.h"
#include "imageio.h"

#include <sstream>
#include <string>
#include <iomanip>

// LightfieldReconstruction Method Definitions
LightfieldReconstruction::LightfieldReconstruction(int xres, int yres,
						   int rAX, int rAY)
    : xResolution(xres), yResolution(yres),
      resAngleX(rAX), resAngleY(rAY)
{
    return;
}

LightfieldReconstruction::~LightfieldReconstruction() 
{
}